package cn.com.ty.lift.system.settings.controller;


import cn.com.ty.lift.system.settings.dao.entity.model.CompanyAttestationRequest;
import cn.com.ty.lift.system.settings.dao.entity.model.MaintenanceCompanyRequest;
import cn.com.ty.lift.system.settings.service.IMaintenanceCompanyService;
import cn.com.ty.lift.system.settings.service.IMtCompanyAttestationService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 维保公司 前端控制器
 * </p>
 *
 * @author huangy
 * @since 2019-12-09
 */
@RestController
@RequestMapping("/mtcompany")
public class MaintenanceCompanyController {

    @Autowired
    private IMaintenanceCompanyService maintenanceCompanyService;

    @Autowired
    private IMtCompanyAttestationService companyAttestationService;

    /**
     * @description 获取公司列表
     * @date 2019-12-11 11:01
     * @param maintenanceCompanyRequest 请求类
     * @return
     */
    @RequestMapping("/list")
    public RestResponse list(MaintenanceCompanyRequest maintenanceCompanyRequest){
        return maintenanceCompanyService.list(maintenanceCompanyRequest);
    }

    /**
     * @description 创建团队
     * @date 2019-12-11 14:04
     * @param maintenanceCompanyRequest 请求对象
     * @return
     */
    @PostMapping("/createTeam")
    public RestResponse createTeam(@RequestBody MaintenanceCompanyRequest maintenanceCompanyRequest){
        return maintenanceCompanyService.createTeam(maintenanceCompanyRequest);
    }

    /**
     * @description 申请认证
     * @date 2019-12-12 09:21
     * @param companyAttestationRequest 请求对象
     * @return
     */
    @PostMapping("/applyAudit")
    public RestResponse applyAudit(@RequestBody CompanyAttestationRequest companyAttestationRequest){
        return companyAttestationService.applyAudit(companyAttestationRequest);
    }

    /**
     * @description 认证通过
     * @date 2019-12-12 15:25
     * @param companyAttestationRequest id:认证信息id，mtCompanyId:企业id
     * @return
     */
    @PostMapping("/auditPass")
    public RestResponse auditPass(@RequestBody CompanyAttestationRequest companyAttestationRequest){
        return companyAttestationService.auditPass(companyAttestationRequest);
    }

    /**
     * @description 认证失败
     * @date 2019-12-12 15:25
     * @param companyAttestationRequest id:认证信息id，mtCompanyId:企业id
     * @return
     */
    @PostMapping("/auditFail")
    public RestResponse auditFail(@RequestBody CompanyAttestationRequest companyAttestationRequest){
        return companyAttestationService.auditFail(companyAttestationRequest);
    }
}
